Bug 145731 - CRASH: Closing document
Summary: CRASH: Closing document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-11-17 08:59 UTC by Xisco Faulí
Modified: 2021-11-18 15:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-11-17 08:59:03 UTC
Steps to reproduce:
1. Open attachment 136321 [details] from bug 112458
2. File - Close

-> LibreOffice crashes. The start center should be displayed instead

Reproduced in

Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: e6968f0485cfb2f6c941d11c438386e14a47095d
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-11-17 09:00:00 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=73334560b2dd2d60ac58d2cc2b1a5295490b03e1

author	Julien Nabet <serval2412@yahoo.fr>	2021-11-07 15:40:37 +0100
committer	Julien Nabet <serval2412@yahoo.fr>	2021-11-07 21:58:53 +0100
commit	73334560b2dd2d60ac58d2cc2b1a5295490b03e1 (patch)
tree	b5bc4f69dd8ed455c78ea05ab1c5e2f3c25b909e
parent	6be03ac71e0d4927612b4a57ead3d0b245c29c77 (diff)
Replace some macros in forms part 16

Bisected with: bibisect-linux64-7.3

Adding Cc: to Julien Nabet
Comment 2 Julien Nabet 2021-11-17 12:03:36 UTC
Thank you for having spotted it!
I'll take a look by beginning to reproduce this and retrieve a bt.
Comment 3 Julien Nabet 2021-11-17 17:27:06 UTC
Pb in stack, here's the part concerning forms:
#61481 0x00007f388dab4dc5 in svxform::DispatchInterceptionMultiplexer::disposing (this=0x84d1360) at svx/source/form/formdispatchinterceptor.cxx:168
#61480 0x00007f388dab4bca in svxform::DispatchInterceptionMultiplexer::ImplDetach (this=0x84d1360) at svx/source/form/formdispatchinterceptor.cxx:146
#61479 0x00007f38722f749f in frm::ONavigationBarControl::releaseDispatchProviderInterceptor (this=0x8493130, _rxInterceptor=uno::Reference to (svxform::DispatchInterceptionMultiplexer *) 0x84d13b0)
#61478 0x00007f38722696b6 in frm::OFormNavigationHelper::registerDispatchProviderInterceptor (this=0x8495118, _rxInterceptor=uno::Reference to (svxform::DispatchInterceptionMultiplexer *) 0x84d13b0)
#61477 0x00007f38722f984e in frm::ONavigationBarPeer::interceptorsChanged (this=0x8495080) at forms/source/solar/component/navbarcontrol.cxx:392
#61476 0x00007f38722691f5 in frm::OFormNavigationHelper::interceptorsChanged (this=0x8495118) at forms/source/helper/formnavigation.cxx:65
#61475 0x00007f3872269319 in frm::OFormNavigationHelper::updateDispatches (this=0x8495118) at forms/source/helper/formnavigation.cxx:160
#61474 0x00007f387226a245 in frm::OFormNavigationHelper::queryDispatch (this=0x8495118, _rURL=...) at forms/source/helper/formnavigation.cxx:264
#61473 0x00007f3872268513 in frm::ControlFeatureInterception::queryDispatch (this=0x84956c0, _rURL=...) at forms/source/helper/controlfeatureinterception.cxx:133
#61472 0x00007f388dab437d in non-virtual thunk to svxform::DispatchInterceptionMultiplexer::queryDispatch(com::sun::star::util::URL const&, rtl::OUString const&, int) ()
#61471 0x00007f388dab42ac in svxform::DispatchInterceptionMultiplexer::queryDispatch (this=0x84d1360, aURL=..., aTargetFrameName="", nSearchFlags=0) at svx/source/form/formdispatchinterceptor.cxx:81
#61470 0x00007f388dab437d in non-virtual thunk to svxform::DispatchInterceptionMultiplexer::queryDispatch(com::sun::star::util::URL const&, rtl::OUString const&, int) ()
#61469 0x00007f388dab42ac in svxform::DispatchInterceptionMultiplexer::queryDispatch (this=0x84d1360, aURL=..., aTargetFrameName="", nSearchFlags=0) at svx/source/form/formdispatchinterceptor.cxx:81
#61468 0x00007f388dab437d in non-virtual thunk to svxform::DispatchInterceptionMultiplexer::queryDispatch(com::sun::star::util::URL const&, rtl::OUString const&, int) ()
    at svx/source/form/formdispatchinterceptor.cxx:84

Here's the pb:
    178     void SAL_CALL ONavigationBarControl::releaseDispatchProviderInterceptor( const Reference< XDispatchProviderInterceptor >& _rxInterceptor )
    179     {
    180         Reference< XDispatchProviderInterception > xTypedPeer(getPeer(), UNO_QUERY);
    181         if (xTypedPeer.is())
    182         {
    183             xTypedPeer->registerDispatchProviderInterceptor(_rxInterceptor);
    184         }
    185     }

It should be "releaseDispatchProviderInterceptor" called instead of "registerDispatchProviderInterceptor"

=> https://gerrit.libreoffice.org/c/core/+/125420
Comment 4 Commit Notification 2021-11-17 20:46:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ae22b5c49c1c0c56cea2022c2979568b7fa4871e

tdf#145731: fix crash closing document

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2021-11-18 11:27:46 UTC
Julien, you could mark this as resolved.

I verified and it is fixed

Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 4be0ae19065b1b50870bc0b2a28189ad39c96a8a
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded
Comment 6 Julien Nabet 2021-11-18 12:06:19 UTC
(In reply to BogdanB from comment #5)
> Julien, you could mark this as resolved.
> 
> I verified and it is fixed
> ...

Of course! :-)
Thank you for the feedback!
Comment 7 Commit Notification 2021-11-18 15:38:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/23ad6c5d98e47310703de69506afe89883a75818

tdf#145731: sw_uiwriter3: Add unittest

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.